package Bencher::ScenarioR::LevenshteinModules;

our $VERSION = 0.12; # VERSION

our $results = [
  [
    200,
    "OK",
    [
      {
        dataset     => "program",
        errors      => 1.1e-07,
        participant => "Text::Levenshtein::fastdistance",
        rate        => 13000,
        samples     => 20,
        time        => 77,
        vs_slowest  => 1,
      },
      {
        dataset     => "program",
        errors      => 1.6e-07,
        participant => "PERLANCAR::Text::Levenshtein::editdist",
        rate        => 25000,
        samples     => 20,
        time        => 41,
        vs_slowest  => 1.9,
      },
      {
        dataset     => "reve",
        errors      => 5.3e-08,
        participant => "Text::Levenshtein::fastdistance",
        rate        => 34000,
        samples     => 20,
        time        => 30,
        vs_slowest  => 2.6,
      },
      {
        dataset     => "euro",
        errors      => 2.6e-08,
        participant => "Text::Levenshtein::fastdistance",
        rate        => 40000,
        samples     => 21,
        time        => 25,
        vs_slowest  => 3,
      },
      {
        dataset     => "foo",
        errors      => 2.5e-08,
        participant => "Text::Levenshtein::fastdistance",
        rate        => 64000,
        samples     => 22,
        time        => 16,
        vs_slowest  => 4.9,
      },
      {
        dataset     => "foo",
        errors      => 3.3e-09,
        participant => "PERLANCAR::Text::Levenshtein::editdist",
        rate        => 110000,
        samples     => 20,
        time        => 9.13,
        vs_slowest  => 8.41,
      },
      {
        dataset     => "a",
        errors      => 6.7e-09,
        participant => "Text::Levenshtein::fastdistance",
        rate        => 210000,
        samples     => 20,
        time        => 4.8,
        vs_slowest  => 16,
      },
      {
        dataset     => "a",
        errors      => 7.3e-10,
        participant => "PERLANCAR::Text::Levenshtein::editdist",
        rate        => 362000,
        samples     => 26,
        time        => 2.76,
        vs_slowest  => 27.8,
      },
      {
        dataset     => "program",
        errors      => 2.5e-09,
        participant => "Text::Levenshtein::XS::distance",
        rate        => 520000,
        samples     => 20,
        time        => 1.9,
        vs_slowest  => 40,
      },
      {
        dataset     => "euro",
        errors      => 3.3e-09,
        participant => "Text::Fuzzy",
        rate        => 550000,
        samples     => 20,
        time        => 1.8,
        vs_slowest  => 42,
      },
      {
        dataset     => "reve",
        errors      => 1.7e-09,
        participant => "Text::Levenshtein::XS::distance",
        rate        => 670000,
        samples     => 20,
        time        => 1.5,
        vs_slowest  => 51,
      },
      {
        dataset     => "euro",
        errors      => 8.1e-09,
        participant => "Text::Levenshtein::XS::distance",
        rate        => 680000,
        samples     => 33,
        time        => 1.5,
        vs_slowest  => 52,
      },
      {
        dataset     => "foo",
        errors      => 4.5e-11,
        participant => "Text::Levenshtein::XS::distance",
        rate        => 820100,
        samples     => 20,
        time        => 1.219,
        vs_slowest  => 62.92,
      },
      {
        dataset     => "program",
        errors      => 9.1e-12,
        participant => "Text::Fuzzy",
        rate        => 907230,
        samples     => 20,
        time        => 1.1023,
        vs_slowest  => 69.602,
      },
      {
        dataset     => "reve",
        errors      => 4.6e-11,
        participant => "Text::Fuzzy",
        rate        => 991300,
        samples     => 20,
        time        => 1.009,
        vs_slowest  => 76.05,
      },
      {
        dataset     => "foo",
        errors      => 1.1e-10,
        participant => "Text::Fuzzy",
        rate        => 1050000,
        samples     => 22,
        time        => 0.95,
        vs_slowest  => 80.8,
      },
      {
        dataset     => "a",
        errors      => 1.3e-09,
        participant => "Text::Levenshtein::XS::distance",
        rate        => 1100000,
        samples     => 33,
        time        => 0.93,
        vs_slowest  => 82,
      },
      {
        dataset     => "a",
        errors      => 1.7e-09,
        participant => "Text::Fuzzy",
        rate        => 1100000,
        samples     => 20,
        time        => 0.92,
        vs_slowest  => 83,
      },
      {
        dataset     => "program",
        errors      => 1.9e-10,
        participant => "Text::LevenshteinXS::distance",
        rate        => 3040000,
        samples     => 27,
        time        => 0.329,
        vs_slowest  => 233,
      },
      {
        dataset     => "program",
        errors      => 3.5e-11,
        participant => "Text::Levenshtein::Flexible::levenshtein",
        rate        => 4380000,
        samples     => 21,
        time        => 0.228,
        vs_slowest  => 336,
      },
      {
        dataset     => "euro",
        errors      => 1.4e-09,
        participant => "Text::Levenshtein::Flexible::levenshtein",
        rate        => 4900000,
        samples     => 20,
        time        => 0.2,
        vs_slowest  => 380,
      },
      {
        dataset     => "reve",
        errors      => 1.1e-10,
        participant => "Text::Levenshtein::Flexible::levenshtein",
        rate        => 6420000,
        samples     => 20,
        time        => 0.156,
        vs_slowest  => 492,
      },
      {
        dataset     => "foo",
        errors      => 2.1e-10,
        participant => "Text::Levenshtein::Flexible::levenshtein",
        rate        => 7900000,
        samples     => 20,
        time        => 0.13,
        vs_slowest  => 600,
      },
      {
        dataset     => "foo",
        errors      => 7.1e-11,
        participant => "Text::LevenshteinXS::distance",
        rate        => 8300000,
        samples     => 20,
        time        => 0.12,
        vs_slowest  => 637,
      },
      {
        dataset     => "a",
        errors      => 6.5e-11,
        participant => "Text::Levenshtein::Flexible::levenshtein",
        rate        => 9320000,
        samples     => 25,
        time        => 0.107,
        vs_slowest  => 715,
      },
      {
        dataset     => "a",
        errors      => 4.8e-11,
        participant => "Text::LevenshteinXS::distance",
        rate        => 11000000,
        samples     => 31,
        time        => 0.0909,
        vs_slowest  => 844,
      },
    ],
    {
      "func.bencher_args"              => {
                                            action => "bench",
                                            note => "Run by Pod::Weaver::Plugin::Bencher::Scenario",
                                            scenario_module => "LevenshteinModules",
                                          },
      "func.bencher_version"           => undef,
      "func.cpu_info"                  => [
                                            {
                                              address_width                => 64,
                                              architecture                 => "AMD-64",
                                              bus_speed                    => undef,
                                              data_width                   => 64,
                                              family                       => 6,
                                              flags                        => [
                                                                                "fpu",
                                                                                "vme",
                                                                                "de",
                                                                                "pse",
                                                                                "tsc",
                                                                                "msr",
                                                                                "pae",
                                                                                "mce",
                                                                                "cx8",
                                                                                "apic",
                                                                                "sep",
                                                                                "mtrr",
                                                                                "pge",
                                                                                "mca",
                                                                                "cmov",
                                                                                "pat",
                                                                                "pse36",
                                                                                "clflush",
                                                                                "dts",
                                                                                "acpi",
                                                                                "mmx",
                                                                                "fxsr",
                                                                                "sse",
                                                                                "sse2",
                                                                                "ss",
                                                                                "ht",
                                                                                "tm",
                                                                                "pbe",
                                                                                "syscall",
                                                                                "nx",
                                                                                "pdpe1gb",
                                                                                "rdtscp",
                                                                                "lm",
                                                                                "constant_tsc",
                                                                                "arch_perfmon",
                                                                                "pebs",
                                                                                "bts",
                                                                                "rep_good",
                                                                                "nopl",
                                                                                "xtopology",
                                                                                "nonstop_tsc",
                                                                                "aperfmperf",
                                                                                "eagerfpu",
                                                                                "pni",
                                                                                "pclmulqdq",
                                                                                "dtes64",
                                                                                "monitor",
                                                                                "ds_cpl",
                                                                                "vmx",
                                                                                "smx",
                                                                                "est",
                                                                                "tm2",
                                                                                "ssse3",
                                                                                "fma",
                                                                                "cx16",
                                                                                "xtpr",
                                                                                "pdcm",
                                                                                "pcid",
                                                                                "sse4_1",
                                                                                "sse4_2",
                                                                                "x2apic",
                                                                                "movbe",
                                                                                "popcnt",
                                                                                "tsc_deadline_timer",
                                                                                "aes",
                                                                                "xsave",
                                                                                "avx",
                                                                                "f16c",
                                                                                "rdrand",
                                                                                "lahf_lm",
                                                                                "abm",
                                                                                "3dnowprefetch",
                                                                                "ida",
                                                                                "arat",
                                                                                "epb",
                                                                                "pln",
                                                                                "pts",
                                                                                "dtherm",
                                                                                "tpr_shadow",
                                                                                "vnmi",
                                                                                "flexpriority",
                                                                                "ept",
                                                                                "vpid",
                                                                                "fsgsbase",
                                                                                "tsc_adjust",
                                                                                "bmi1",
                                                                                "hle",
                                                                                "avx2",
                                                                                "smep",
                                                                                "bmi2",
                                                                                "erms",
                                                                                "invpcid",
                                                                                "rtm",
                                                                                "rdseed",
                                                                                "adx",
                                                                                "smap",
                                                                                "xsaveopt",
                                                                              ],
                                              L2_cache                     => { max_cache_size => "4096 KB" },
                                              manufacturer                 => "GenuineIntel",
                                              model                        => 61,
                                              name                         => "Intel(R) Core(TM) M-5Y71 CPU \@ 1.20GHz",
                                              number_of_cores              => 2,
                                              number_of_logical_processors => 4,
                                              processor_id                 => 0,
                                              speed                        => 2732.843,
                                              stepping                     => 4,
                                            },
                                            {
                                              address_width                => 64,
                                              architecture                 => "AMD-64",
                                              bus_speed                    => undef,
                                              data_width                   => 64,
                                              family                       => 6,
                                              flags                        => [
                                                                                "fpu",
                                                                                "vme",
                                                                                "de",
                                                                                "pse",
                                                                                "tsc",
                                                                                "msr",
                                                                                "pae",
                                                                                "mce",
                                                                                "cx8",
                                                                                "apic",
                                                                                "sep",
                                                                                "mtrr",
                                                                                "pge",
                                                                                "mca",
                                                                                "cmov",
                                                                                "pat",
                                                                                "pse36",
                                                                                "clflush",
                                                                                "dts",
                                                                                "acpi",
                                                                                "mmx",
                                                                                "fxsr",
                                                                                "sse",
                                                                                "sse2",
                                                                                "ss",
                                                                                "ht",
                                                                                "tm",
                                                                                "pbe",
                                                                                "syscall",
                                                                                "nx",
                                                                                "pdpe1gb",
                                                                                "rdtscp",
                                                                                "lm",
                                                                                "constant_tsc",
                                                                                "arch_perfmon",
                                                                                "pebs",
                                                                                "bts",
                                                                                "rep_good",
                                                                                "nopl",
                                                                                "xtopology",
                                                                                "nonstop_tsc",
                                                                                "aperfmperf",
                                                                                "eagerfpu",
                                                                                "pni",
                                                                                "pclmulqdq",
                                                                                "dtes64",
                                                                                "monitor",
                                                                                "ds_cpl",
                                                                                "vmx",
                                                                                "smx",
                                                                                "est",
                                                                                "tm2",
                                                                                "ssse3",
                                                                                "fma",
                                                                                "cx16",
                                                                                "xtpr",
                                                                                "pdcm",
                                                                                "pcid",
                                                                                "sse4_1",
                                                                                "sse4_2",
                                                                                "x2apic",
                                                                                "movbe",
                                                                                "popcnt",
                                                                                "tsc_deadline_timer",
                                                                                "aes",
                                                                                "xsave",
                                                                                "avx",
                                                                                "f16c",
                                                                                "rdrand",
                                                                                "lahf_lm",
                                                                                "abm",
                                                                                "3dnowprefetch",
                                                                                "ida",
                                                                                "arat",
                                                                                "epb",
                                                                                "pln",
                                                                                "pts",
                                                                                "dtherm",
                                                                                "tpr_shadow",
                                                                                "vnmi",
                                                                                "flexpriority",
                                                                                "ept",
                                                                                "vpid",
                                                                                "fsgsbase",
                                                                                "tsc_adjust",
                                                                                "bmi1",
                                                                                "hle",
                                                                                "avx2",
                                                                                "smep",
                                                                                "bmi2",
                                                                                "erms",
                                                                                "invpcid",
                                                                                "rtm",
                                                                                "rdseed",
                                                                                "adx",
                                                                                "smap",
                                                                                "xsaveopt",
                                                                              ],
                                              L2_cache                     => { max_cache_size => "4096 KB" },
                                              manufacturer                 => "GenuineIntel",
                                              model                        => 61,
                                              name                         => "Intel(R) Core(TM) M-5Y71 CPU \@ 1.20GHz",
                                              number_of_cores              => 2,
                                              number_of_logical_processors => 4,
                                              processor_id                 => 1,
                                              speed                        => "2645.070",
                                              stepping                     => 4,
                                            },
                                            {
                                              address_width                => 64,
                                              architecture                 => "AMD-64",
                                              bus_speed                    => undef,
                                              data_width                   => 64,
                                              family                       => 6,
                                              flags                        => [
                                                                                "fpu",
                                                                                "vme",
                                                                                "de",
                                                                                "pse",
                                                                                "tsc",
                                                                                "msr",
                                                                                "pae",
                                                                                "mce",
                                                                                "cx8",
                                                                                "apic",
                                                                                "sep",
                                                                                "mtrr",
                                                                                "pge",
                                                                                "mca",
                                                                                "cmov",
                                                                                "pat",
                                                                                "pse36",
                                                                                "clflush",
                                                                                "dts",
                                                                                "acpi",
                                                                                "mmx",
                                                                                "fxsr",
                                                                                "sse",
                                                                                "sse2",
                                                                                "ss",
                                                                                "ht",
                                                                                "tm",
                                                                                "pbe",
                                                                                "syscall",
                                                                                "nx",
                                                                                "pdpe1gb",
                                                                                "rdtscp",
                                                                                "lm",
                                                                                "constant_tsc",
                                                                                "arch_perfmon",
                                                                                "pebs",
                                                                                "bts",
                                                                                "rep_good",
                                                                                "nopl",
                                                                                "xtopology",
                                                                                "nonstop_tsc",
                                                                                "aperfmperf",
                                                                                "eagerfpu",
                                                                                "pni",
                                                                                "pclmulqdq",
                                                                                "dtes64",
                                                                                "monitor",
                                                                                "ds_cpl",
                                                                                "vmx",
                                                                                "smx",
                                                                                "est",
                                                                                "tm2",
                                                                                "ssse3",
                                                                                "fma",
                                                                                "cx16",
                                                                                "xtpr",
                                                                                "pdcm",
                                                                                "pcid",
                                                                                "sse4_1",
                                                                                "sse4_2",
                                                                                "x2apic",
                                                                                "movbe",
                                                                                "popcnt",
                                                                                "tsc_deadline_timer",
                                                                                "aes",
                                                                                "xsave",
                                                                                "avx",
                                                                                "f16c",
                                                                                "rdrand",
                                                                                "lahf_lm",
                                                                                "abm",
                                                                                "3dnowprefetch",
                                                                                "ida",
                                                                                "arat",
                                                                                "epb",
                                                                                "pln",
                                                                                "pts",
                                                                                "dtherm",
                                                                                "tpr_shadow",
                                                                                "vnmi",
                                                                                "flexpriority",
                                                                                "ept",
                                                                                "vpid",
                                                                                "fsgsbase",
                                                                                "tsc_adjust",
                                                                                "bmi1",
                                                                                "hle",
                                                                                "avx2",
                                                                                "smep",
                                                                                "bmi2",
                                                                                "erms",
                                                                                "invpcid",
                                                                                "rtm",
                                                                                "rdseed",
                                                                                "adx",
                                                                                "smap",
                                                                                "xsaveopt",
                                                                              ],
                                              L2_cache                     => { max_cache_size => "4096 KB" },
                                              manufacturer                 => "GenuineIntel",
                                              model                        => 61,
                                              name                         => "Intel(R) Core(TM) M-5Y71 CPU \@ 1.20GHz",
                                              number_of_cores              => 2,
                                              number_of_logical_processors => 4,
                                              processor_id                 => 2,
                                              speed                        => 2686.414,
                                              stepping                     => 4,
                                            },
                                            {
                                              address_width                => 64,
                                              architecture                 => "AMD-64",
                                              bus_speed                    => undef,
                                              data_width                   => 64,
                                              family                       => 6,
                                              flags                        => [
                                                                                "fpu",
                                                                                "vme",
                                                                                "de",
                                                                                "pse",
                                                                                "tsc",
                                                                                "msr",
                                                                                "pae",
                                                                                "mce",
                                                                                "cx8",
                                                                                "apic",
                                                                                "sep",
                                                                                "mtrr",
                                                                                "pge",
                                                                                "mca",
                                                                                "cmov",
                                                                                "pat",
                                                                                "pse36",
                                                                                "clflush",
                                                                                "dts",
                                                                                "acpi",
                                                                                "mmx",
                                                                                "fxsr",
                                                                                "sse",
                                                                                "sse2",
                                                                                "ss",
                                                                                "ht",
                                                                                "tm",
                                                                                "pbe",
                                                                                "syscall",
                                                                                "nx",
                                                                                "pdpe1gb",
                                                                                "rdtscp",
                                                                                "lm",
                                                                                "constant_tsc",
                                                                                "arch_perfmon",
                                                                                "pebs",
                                                                                "bts",
                                                                                "rep_good",
                                                                                "nopl",
                                                                                "xtopology",
                                                                                "nonstop_tsc",
                                                                                "aperfmperf",
                                                                                "eagerfpu",
                                                                                "pni",
                                                                                "pclmulqdq",
                                                                                "dtes64",
                                                                                "monitor",
                                                                                "ds_cpl",
                                                                                "vmx",
                                                                                "smx",
                                                                                "est",
                                                                                "tm2",
                                                                                "ssse3",
                                                                                "fma",
                                                                                "cx16",
                                                                                "xtpr",
                                                                                "pdcm",
                                                                                "pcid",
                                                                                "sse4_1",
                                                                                "sse4_2",
                                                                                "x2apic",
                                                                                "movbe",
                                                                                "popcnt",
                                                                                "tsc_deadline_timer",
                                                                                "aes",
                                                                                "xsave",
                                                                                "avx",
                                                                                "f16c",
                                                                                "rdrand",
                                                                                "lahf_lm",
                                                                                "abm",
                                                                                "3dnowprefetch",
                                                                                "ida",
                                                                                "arat",
                                                                                "epb",
                                                                                "pln",
                                                                                "pts",
                                                                                "dtherm",
                                                                                "tpr_shadow",
                                                                                "vnmi",
                                                                                "flexpriority",
                                                                                "ept",
                                                                                "vpid",
                                                                                "fsgsbase",
                                                                                "tsc_adjust",
                                                                                "bmi1",
                                                                                "hle",
                                                                                "avx2",
                                                                                "smep",
                                                                                "bmi2",
                                                                                "erms",
                                                                                "invpcid",
                                                                                "rtm",
                                                                                "rdseed",
                                                                                "adx",
                                                                                "smap",
                                                                                "xsaveopt",
                                                                              ],
                                              L2_cache                     => { max_cache_size => "4096 KB" },
                                              manufacturer                 => "GenuineIntel",
                                              model                        => 61,
                                              name                         => "Intel(R) Core(TM) M-5Y71 CPU \@ 1.20GHz",
                                              number_of_cores              => 2,
                                              number_of_logical_processors => 4,
                                              processor_id                 => 3,
                                              speed                        => 2699.921,
                                              stepping                     => 4,
                                            },
                                          ],
      "func.elapsed_time"              => 0.66010594367981,
      "func.module_startup"            => undef,
      "func.module_versions"           => {
                                            "Bencher::Scenario::LevenshteinModules" => undef,
                                            "Benchmark::Dumb"                       => "0.10",
                                            "Devel::Platform::Info"                 => 0.16,
                                            "perl"                                  => "v5.24.0",
                                            "PERLANCAR::Text::Levenshtein"          => 0.02,
                                            "Sys::Info"                             => 0.78,
                                            "Text::Fuzzy"                           => 0.25,
                                            "Text::Levenshtein"                     => 0.13,
                                            "Text::Levenshtein::Flexible"           => 0.09,
                                            "Text::Levenshtein::XS"                 => 0.503,
                                            "Text::LevenshteinXS"                   => 0.03,
                                          },
      "func.note"                      => "Run by Pod::Weaver::Plugin::Bencher::Scenario",
      "func.permute"                   => ["perl", ["perl"], "participant", [0 .. 5], "dataset", [0 .. 4]],
      "func.platform_info"             => {
                                            archname => "x86_64",
                                            codename => "rosa",
                                            is32bit  => 0,
                                            is64bit  => 1,
                                            kernel   => "linux-3.19.0-32-generic",
                                            kname    => "Linux",
                                            kvers    => "3.19.0-32-generic",
                                            osflag   => "linux",
                                            oslabel  => "LinuxMint",
                                            osname   => "GNU/Linux",
                                            osvers   => 17.3,
                                            source   => {
                                                          "cat /etc/.issue" => "",
                                                          "cat /etc/issue"  => "Linux Mint 17.3 Rosa \\n \\l",
                                                          "lsb_release -a"  => "Distributor ID:\tLinuxMint\nDescription:\tLinux Mint 17.3 Rosa\nRelease:\t17.3\nCodename:\trosa",
                                                          "uname -a"        => "Linux backpacker 3.19.0-32-generic #37~14.04.1-Ubuntu SMP Thu Oct 22 09:41:40 UTC 2015 x86_64 x86_64 x86_64 GNU/Linux",
                                                          "uname -m"        => "x86_64",
                                                          "uname -o"        => "GNU/Linux",
                                                          "uname -r"        => "3.19.0-32-generic",
                                                          "uname -s"        => "Linux",
                                                        },
                                          },
      "func.precision"                 => 0,
      "func.scenario_module"           => "Bencher::Scenario::LevenshteinModules",
      "func.scenario_module_md5sum"    => "a247523e162a45eeac0afe31064db653",
      "func.scenario_module_mtime"     => 1484299562,
      "func.scenario_module_sha1sum"   => "a5b237afecb6b58545015f18310a2cab9a02fa7f",
      "func.scenario_module_sha256sum" => "58f4ad0b4ea547d92378b7aff8fe893fe660c3d3bbf17366df7d0c5fcda22b48",
      "func.time_end"                  => 1484299813.93189,
      "func.time_factor"               => 1000000,
      "func.time_start"                => 1484299813.27179,
      "table.field_aligns"             => ["left", "left", "number", "number", "number", "number", "number"],
      "table.field_units"              => [undef, undef, "/s", "\x{3BC}s"],
      "table.fields"                   => [
                                            "participant",
                                            "dataset",
                                            "rate",
                                            "time",
                                            "vs_slowest",
                                            "errors",
                                            "samples",
                                          ],
    },
  ],
];

1;
# ABSTRACT: Benchmark various modules calculating the Levenshtein edit distance

=head1 DESCRIPTION

This module is automatically generated by Pod::Weaver::Plugin::Bencher::Scenario during distribution build.

A Bencher::ScenarioR::* module contains the raw result of sample benchmark and might be useful for some stuffs later.

